| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::Operations Struct Reference

`#include <GaudiKernel/GrammarsV2.h>`

## Classes
struct | result

## Public Member Functions
void | operator() (ResultT &res, const VectorPairT &vec) const
void | operator() (PairT &res, const KeyT &key, tag_key) const
void | operator() (PairT &res, const MappedT &value, tag_mapped) const

## Detailed Description

### template<typename Iterator, typename MapT, typename Skipper>
struct Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::Operations

Definition at line 426 of file GrammarsV2.h.

## Member Function Documentation

template<typename Iterator , typename MapT , typename Skipper >

void Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::Operations::operator() | ( | ResultT & | res,
|  | const VectorPairT & | vec
| ) |  | const
| inline

Definition at line 433 of file GrammarsV2.h.

433 {
434 for(auto cur = vec.begin(); cur != vec.end(); ++cur){
435 res.insert(*cur);
436 }
437 }
template<typename Iterator , typename MapT , typename Skipper >

void Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::Operations::operator() | ( | PairT & | res,
|  | const KeyT & | key,
|  | tag_key |
| ) |  | const
| inline

Definition at line 438 of file GrammarsV2.h.

438 {
439 res.first = key;
440 }
Gaudi::Parsers::MapGrammar::key
Grammar_< Iterator, typename MapT::key_type, Skipper >::Grammar key
Definition: GrammarsV2.h:456
template<typename Iterator , typename MapT , typename Skipper >

void Gaudi::Parsers::MapGrammar< Iterator, MapT, Skipper >::Operations::operator() | ( | PairT & | res,
|  | const MappedT & | value,
|  | tag_mapped |
| ) |  | const
| inline

Definition at line 441 of file GrammarsV2.h.

441 {
442 res.second = value;
443 }
Gaudi::Parsers::MapGrammar::value
Grammar_< Iterator, typename MapT::mapped_type, Skipper >::Grammar value
Definition: GrammarsV2.h:458

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/GrammarsV2.h